Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TAO::Security::QOPPolicy Class Reference

Implementation of the SecurityLevel2::QOPPolicy interface. More...

`#include <SL2_QOPPolicy.h>`

Inheritance diagram for TAO::Security::QOPPolicy:

[legend]
Collaboration diagram for TAO::Security::QOPPolicy:

[legend]
List of all members.

## Public Member Functions
| QOPPolicy (::Security::QOP qop)
| Constructor.
virtual ::Security::QOP | qop (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
CORBA::Policy Methods
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
## Protected Member Functions
| ~QOPPolicy (void)
| Destructor.
## Private Attributes
::Security::QOP const | qop_

## Detailed Description

Implementation of the SecurityLevel2::QOPPolicy interface.

This policy can be used to affect the quality of protection (QoP) for invocation on a per-object basis. For example, it can be set as a policy override using the standard CORBA::Object::_set_policy_overrides() method.

  This policy can be created by using the CORBA::ORB::create_policy() method by passing it the Security::SecQOPPolicy policy type, and the appropriate Security::QOP enumeration (inserted into a CORBA::Any).

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::Security::QOPPolicy::QOPPolicy | ( | ::Security::QOP | qop | ) |

| Constructor.

TAO::Security::QOPPolicy::~QOPPolicy | ( | void |  | ) | `[protected]`

| Destructor. Protected destructor to enforce proper memory management through the reference counting mechansim.

## Member Function Documentation

CORBA::Policy_ptr TAO::Security::QOPPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO::Security::QOPPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::PolicyType TAO::Security::QOPPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

Security::QOP TAO::Security::QOPPolicy::qop | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)

| Return the Quality-of-Protection value associated with this policy.

## Member Data Documentation

::Security::QOP const TAO::Security::QOPPolicy::qop_`[private]`

| Quality of protection which can be specified for an object reference and used to protect messages.

The documentation for this class was generated from the following files:

- SL2_QOPPolicy.h
- SL2_QOPPolicy.cpp